Gallery Platform API
Reference

Get Stripe connect status

Returns whether the gallery has connected Stripe and the account's capability flags.

GET
/gallery/stripe/account

Returns whether the gallery has connected Stripe and the account's capability flags.

Authorization

bearerAuth payments:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payments:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "connected": true,  "account": {    "stripe_account_id": "string",    "charges_enabled": true,    "payouts_enabled": true,    "details_submitted": true,    "country": "string",    "default_currency": "string",    "created_at": "string",    "updated_at": "string"  }}